com.collabnet.ce.soap60.webservices.scm

## Class CheckoutCommandSoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.scm.CheckoutCommandSoapRow

-     public class CheckoutCommandSoapRow
      extends Object

  List of checkout commands for various protocols.
  Since:
    8.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ANONYMOUS`
    `static String` | `HTTP`
    `static String` | `HTTP_ADVANCED`
    `static String` | `SSH`
    `static String` | `SSH_ADVANCED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckoutCommandSoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCommand()` Returns 'command'.
    `boolean` | `getIsDefault()` Returns 'isDefault'.
    `String` | `getProtocol()` Returns 'protocol'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setCommand(String command)` Sets 'command'.
    `void` | `setIsDefault(boolean isDefault)` Sets 'isDefault'.
    `void` | `setProtocol(String protocol)` Sets 'protocol'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HTTP

          public static final String HTTP

      See Also:
        Constant Field Values

    - #### SSH

          public static final String SSH

      See Also:
        Constant Field Values

    - #### ANONYMOUS

          public static final String ANONYMOUS

      See Also:
        Constant Field Values

    - #### HTTP_ADVANCED

          public static final String HTTP_ADVANCED

      See Also:
        Constant Field Values

    - #### SSH_ADVANCED

          public static final String SSH_ADVANCED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CheckoutCommandSoapRow

          public CheckoutCommandSoapRow()

  - ### Method Detail

    - #### getProtocol

          public String getProtocol()

      Returns 'protocol'.
      Returns:
        Value of 'protocol'.

    - #### setProtocol

          public void setProtocol(String protocol)

      Sets 'protocol'.
      Parameters:
        `protocol` - Value of 'protocol'.

    - #### getIsDefault

          public boolean getIsDefault()

      Returns 'isDefault'.
      Returns:
        Value of 'isDefault'.

    - #### setIsDefault

          public void setIsDefault(boolean isDefault)

      Sets 'isDefault'.
      Parameters:
        `isDefault` - Value of 'isDefault'.

    - #### getCommand

          public String getCommand()

      Returns 'command'.
      Returns:
        Value of 'command'.

    - #### setCommand

          public void setCommand(String command)

      Sets 'command'.
      Parameters:
        `command` - Value of 'command'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.